function D = create_diffusion_tensor(evals,angle)
    L =diag(evals);
    angle = deg2rad(angle);

    v = zeros(3,1);
    [v(1),v(2),v(3)] = sph2cart(angle(1),angle(2),1);
    n = [0,0,1];
    n = n';

    theta = acos((n'*v) / (norm(n) * norm(v)));

    if theta < 1e-16
        R = eye(3);
    else
            if pi - theta < 1e-16
       angle = deg2rad(angle);

    v = zeros(3,1);
    [v(1),v(2),v(3)] = sph2cart(angle(1),angle(2),1);          R = -eye(3);
            else
                c = cross(n,v);
                x = c / norm(c);
                A = zeros(3,3);
                A(3,1) = -x(2);
                A(2,1) = x(3);
                A(3,2) = x(1);
                A = A - A';
                R = eye(3) + sin(theta)*A + (1- cos(theta)) * A*A;
            end
    end

    D = R*L*R';